import 'package:elevarm_ui/elevarm_ui.dart';
import 'package:flutter/material.dart';

class ElevarmBottomNavigationBarItem implements BottomNavigationBarItem {
  final String labelText;
  final String iconAssetName;

  ElevarmBottomNavigationBarItem({
    required this.labelText,
    required this.iconAssetName,
  });

  @override
  Widget get activeIcon => ElevarmIcon(
        iconAssetName,
        color: ElevarmColors.primary500,
      );

  @override
  Color? get backgroundColor => null;

  @override
  Widget get icon => ElevarmIcon(
        iconAssetName,
        color: ElevarmColors.neutral300,
      );

  @override
  String? get tooltip => null;

  @override
  String? get label => labelText;

}
